﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Silanis.ESL.SDK;
using Silanis.ESL.SDK.Builder;
using System.Diagnostics;

namespace signerSessionCreation
{
    class signerSessionCreation
    {
        private static string api_key = "api_key";
	    private static string api_url = "https://sandbox.esignlive.com/api";

	    public static void Main(string[] args) {
		
		    EslClient eslClient = new EslClient(api_key, api_url);
		
		    DocumentPackage testPackage = PackageBuilder.NewPackageNamed("Example Package")
				    .WithSigner(SignerBuilder.NewSignerWithEmail("price9872@gmail.com")
						    .WithFirstName("John")
						    .WithLastName("Smith")
						    .WithCustomId("Signer1"))
				    .WithDocument(DocumentBuilder.NewDocumentNamed("Test Document")
						    .FromFile("C:/Users/hhaidary/Desktop/pdf/doc1.pdf")
						    .WithSignature(SignatureBuilder.SignatureFor("price9872@gmail.com")
								    .AtPosition(100, 100)
								    .OnPage(0)))
				    .Build();
		
		    PackageId packageId = eslClient.CreateAndSendPackage(testPackage);
		
		    string signerAuthenticationToken = eslClient.AuthenticationTokenService.CreateSignerAuthenticationToken(packageId, "Signer1");
		
		    AuthenticationClient authClient = new AuthenticationClient("https://sandbox.esignlive.com");
		
		    string url = authClient.BuildRedirectToSigningForSigner(signerAuthenticationToken, packageId);
		
		    Debug.WriteLine(url);

	}

    }
}
